using System;
using Server;

namespace Server.Items
{
	public class WeakManaElixir : BaseManaElixir
	{
		public override int MinMana { get{ return 6; } }
		public override int MaxMana { get{ return 8; } }
		public override double Delay { get{ return 3.0; } }

		[Constructable]
		public WeakManaElixir( ) : base( PotionEffect.ManaWeak )
		{
			Name = "elixir of mana";
			ItemID = 0x12AD;
		}

		public override void AddNameProperties( ObjectPropertyList list )
		{
			base.AddNameProperties( list );
			list.Add( 1070722, "Weak" );
		}

		public WeakManaElixir( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
